Package com.independentsoft.office.odf.styles

# Enum Class AnimationType

java.lang.Object
java.lang.Enum<AnimationType>
com.independentsoft.office.odf.styles.AnimationType

All Implemented Interfaces:
  `Serializable`, `Comparable<AnimationType>`, `Constable`

public enum AnimationType extends Enum<AnimationType>
Represents the type of animation that is used for a text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALTERNATE`
  Scrolls the text from one side to another and back.
  `NONE`
  Disables the text animation.
  `SCROLL`
  Scrolls the text from one side to another.
  `SLIDE`
  Scrolls the text from one side to the original text position and stops there.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnimationType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnimationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SCROLL

    public static final AnimationType SCROLL
    Scrolls the text from one side to another.

  - ### ALTERNATE

    public static final AnimationType ALTERNATE
    Scrolls the text from one side to another and back.

  - ### SLIDE

    public static final AnimationType SLIDE
    Scrolls the text from one side to the original text position and stops there.

  - ### NONE

    public static final AnimationType NONE
    Disables the text animation.

- ## Method Details

  - ### values

    public static AnimationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnimationType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null